Main Page Modules Namespace List Class Hierarchy Alphabetical List Compound List File List Namespace Members Compound Members File Members Related Pages

# deSplinePatch Class Reference

Inheritance diagram for deSplinePatch:

[legend]
Collaboration diagram for deSplinePatch:

[legend]
List of all members.

## Public Member Functions
| deSplinePatch ()
| ~deSplinePatch ()
long | Release ()
deBoolean | SetNumControls (long Num)
deBoolean | SetNumControlSamples (long Num)
deBoolean | SetNumInterSamples (long Num)
long | GetNumControls () const
long | GetNumControlSamples () const
long | GetNumInterSamples () const
deBoolean | SetControl (long index, IdeLine *control)
deBoolean | SetAllControls (long Num, IdeLine *controls[])
long | GetNumVertices ()
long | GetNumIndices ()
deVec3d * | GetVertices ()
unsigned short * | GetIndices ()
## Private Member Functions
void | CalculateVertices ()
## Private Attributes
deTArray< IdeLine * > | m_ControlLines
long | m_NumControlSamples
long | m_NumInterSamples
deTArray< deVec3d > | m_Vertices
deTArray< unsigned short > | m_Indices
deBoolean | m_ValidVertices

## Constructor & Destructor Documentation

deSplinePatch::deSplinePatch | ( |  | ) |

deSplinePatch::~deSplinePatch | ( |  | ) |

## Member Function Documentation

void deSplinePatch::CalculateVertices | ( |  | ) | `[private]`

unsigned short * deSplinePatch::GetIndices | ( |  | ) | `[virtual]`

| Implements IdeSplinePatch.

long deSplinePatch::GetNumControls | ( |  | ) | const`[virtual]`

| Implements IdeSplinePatch.

long deSplinePatch::GetNumControlSamples | ( |  | ) | const`[virtual]`

| Implements IdeSplinePatch.

long deSplinePatch::GetNumIndices | ( |  | ) | `[virtual]`

| Implements IdeSplinePatch.

long deSplinePatch::GetNumInterSamples | ( |  | ) | const`[virtual]`

| Implements IdeSplinePatch.

long deSplinePatch::GetNumVertices | ( |  | ) | `[virtual]`

| Implements IdeSplinePatch.

deVec3d * deSplinePatch::GetVertices | ( |  | ) | `[virtual]`

| Implements IdeSplinePatch.

long deSplinePatch::Release | ( |  | ) | `[virtual]`

| Implements IdeSplinePatch.

deBoolean deSplinePatch::SetAllControls | ( | long | Num,
|  | IdeLine * | controls[]
| ) | `[virtual]`

| Implements IdeSplinePatch.

deBoolean deSplinePatch::SetControl | ( | long | index,
|  | IdeLine * | control
| ) | `[virtual]`

| Implements IdeSplinePatch.

deBoolean deSplinePatch::SetNumControls | ( | long | Num | ) | `[virtual]`

| Implements IdeSplinePatch.

deBoolean deSplinePatch::SetNumControlSamples | ( | long | Num | ) | `[virtual]`

| Implements IdeSplinePatch.

deBoolean deSplinePatch::SetNumInterSamples | ( | long | Num | ) | `[virtual]`

| Implements IdeSplinePatch.

## Member Data Documentation

deTArray<IdeLine*> deSplinePatch::m_ControlLines`[private]`

deTArray<unsigned short> deSplinePatch::m_Indices`[private]`

long deSplinePatch::m_NumControlSamples`[private]`

long deSplinePatch::m_NumInterSamples`[private]`

deBoolean deSplinePatch::m_ValidVertices`[private]`

deTArray<deVec3d> deSplinePatch::m_Vertices`[private]`

The documentation for this class was generated from the following file:

- deSplinePatch.cpp